.search-input {
  font-size: 14px;
  line-height: 28px;
  outline: 0;
  border-radius: 3px;
  transition: all .3s;
  color: $search-input-font-color;

  @media (min-width: $screen-md-min) {
    font-size: 16px;
  }
}

.search-icon {
  position: relative;
  z-index: 9;
  color: $navbar-default-link-color;
  font-size: 14px;
  cursor: pointer;
  transition: all .2s;

  @media (min-width: $screen-md-min) {
    font-size: 14px;
  }

  &:hover {
    color: $navbar-default-link-hover-color;
  }
}

@media (min-width: $screen-sm-min) and (max-width: $screen-sm-max) {
  .search-box {
    display: none;
  }
}

@media (min-width: $screen-sm-min) {
  .search-box {
    padding-top: 9px;

    @media (min-width: $screen-sm-min) {
      display: none;
    }

    @media (min-width: $screen-lg-min) {
      display: block;
      padding-right: 20px;
    }

    &.is-open {
      .search-input {
        width: 110px;
        margin-left: -15px;
        padding-left: 30px;
        padding-right: 10px;
        border: 1px solid $color-gray-medium;

        @media (min-width: $screen-lg-min) {
          width: 180px;
          margin-left: -20px;
          padding-left: 35px;
        }

        &:focus {
          border-color: $navbar-default-link-hover-color;
        }
      }

      .search-icon {
        right: -10px;
      }
    }
  }

  .search-input {
    width: 0;
    padding-left: 0;
    padding-right: 0;
    border: 0;
  }
}

@media (max-width: ($screen-sm - 1px)) {
  .search-box {
    position: relative;
    padding-left: 15px;
    padding-right: 15px;
  }

  .search-input {
    width: 100%;
    padding-left: 35px;
    padding-right: 15px;
    border: 1px solid $color-gray-medium;
  }

  .search-icon {
    position: absolute;
    left: 25px;
    top: 8px;
  }
}

.search-box {
  &.is-focused {
    .search-input {
      border-color: $navbar-default-link-hover-color;
    }

    .search-icon {
      color: $navbar-default-link-hover-color;
    }
  }
}

.st-handbook {
  width: 100%;
  padding: 8px;
  border-radius: 4px;
  border: 1px solid $border-color;
}
